module.exports = (sequelize, type) => {
  const Flashcard = sequelize.define('flashcards', {
    id: {
      type: type.INTEGER,
      primaryKey: true,
      autoIncrement: true
    },
    free_paid: type.STRING,
    d_id: type.INTEGER,
    sd_id: type.INTEGER,
    certi_id: type.INTEGER,
    cource_id: type.INTEGER,
    topic_id: type.INTEGER,

    term: type.STRING,
    definition: type.TEXT,
    ref_link: type.STRING(191),
    youtube_link: type.STRING(191),
    bookpage_no: type.STRING(191),
    blog_url: type.STRING(191),
    point: type.INTEGER,
    status: {
      type: type.INTEGER,
      defaultValue: 0
    }
  })
  return Flashcard;
}
